Linux-GPIB 4.3.7 Documentation
Prev |  | Next

# WaitSRQ

## Name

WaitSRQ -- sleep until the SRQ bus line is asserted

## Synopsis

    #include <gpib/ib.h>

``void WaitSRQ`(int board_desc, short *result);`

## Description

WaitSRQ() sleeps until either the SRQ bus line is asserted, or a timeout (see ibtmo()) occurs. A '1' will be written to the location specified by `result` if SRQ was asserted, and a '0' will be written if the function timed out.

Prev | Home | Next
TriggerList | Up | Utility Functions